#ifndef __i8017H_H__

#define __i8017H_H__

#ifdef WINCONSDK_EXPORTS
#define WINCONSDK_API extern "C" __declspec(dllexport)
#else
#define WINCONSDK_API extern "C" __declspec(dllimport)
#endif

#define  CH0GAINBASE    56

WINCONSDK_API int Init_8017H(int slot);
WINCONSDK_API void Set_8017H_LED(int slot,unsigned int led);
WINCONSDK_API void Set_8017H_Channel_Gain_Mode(int slot,int ch,int gain,int mode);

WINCONSDK_API float Get_AD_FValue(int gain);
WINCONSDK_API float Get_AD_IValue(void);
WINCONSDK_API short Get_AD_HValue(void);

WINCONSDK_API int I8017H_AD_POLLING(int slot,int ch,int gain,int datacount,int *DataPtr);

WINCONSDK_API void ARRAY_HEX_TO_FLOAT_ALL(int *HexValue,float *Ivalue,int slot,int gain,int len);

WINCONSDK_API int Read_8017HS_Mode(int slot);

// No Implemented yet!
//WINCONSDK_API int I8017H_AD_INT(int slot,int ch,int gain,int datacount,unsigned int sampleclk,int *DataPtr);
//WINCONSDK_API int I8017H_AD_INT_SCAN(int slot,int gain,int datacount,unsigned int sampleclk,int *DataPtr);


#endif // __i8017H_H__