#ifndef __i8024_H__

#define __i8024_H__

#ifdef WINCONSDK_EXPORTS
#define WINCONSDK_API extern "C" __declspec(dllexport)
#else
#define WINCONSDK_API extern "C" __declspec(dllimport)
#endif


WINCONSDK_API void I8024_Initial(int Slot);
WINCONSDK_API void I8024_VoltageOut(int slot,int ch,float data);
WINCONSDK_API void I8024_CurrentOut(int slot,int ch,float data);
WINCONSDK_API void I8024_VoltageHexOut(int slot,int ch,int data);//Calibrate Output OK
WINCONSDK_API void I8024_CurrentHexOut(int slot,int ch,int data);//Calibrate Output OK

//--------------------------------------------------
//----------Troy------------------------------------
WINCONSDK_API float I8024_VoltageOutReadBack(int slot, int ch);
WINCONSDK_API float I8024_CurrentOutReadBack(int slot, int ch);
WINCONSDK_API int I8024_VoltageHexOutReadBack(int slot, int ch);
WINCONSDK_API int I8024_CurrentHexOutReadBack(int slot, int ch);
//--------------------------------------------------


#endif // __i8024_H__
